Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.amf.ide
Class ExecuteAMFEMFOutputHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler
                          org.eclipse.amp.escape.amf.ide.ExecuteAMFHeadlessHandler
                              org.eclipse.amp.escape.amf.ide.ExecuteAMFEMFOutputHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class ExecuteAMFEMFOutputHandler

extends ExecuteAMFHeadlessHandler

The Class ExecuteParameterHandler.

Field Summary

Fields inherited from class org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler
`modelResource`

Constructor Summary
`ExecuteAMFEMFOutputHandler()` Instantiates a new execute parameter handler.

Method Summary
`protected EclipseEscapeRunner` | `createRunner()` Creates the runner.

Methods inherited from class org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler
`executeOpen, getModel, getModelClass, handleSelect`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteAMFEMFOutputHandler

    public ExecuteAMFEMFOutputHandler()

  Instantiates a new execute parameter handler.

Method Detail

### createRunner

    protected EclipseEscapeRunner createRunner()

  Description copied from class: `ExecuteHandler`
  Creates the runner.

  Overrides:
    `createRunner` in class `ExecuteHandler`
  Returns:
  See Also:
    `ExecuteHandler.createRunner()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD